/*
 * Copyright (c) 2004 - 2020 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 * 
 * Licensed under the HARK license, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * https://www.hark.jp/notice/HARK_License_Agreement.pdf
 */

#ifndef	PF_HYPERGEOM_GAIN_h_defined
#define	PF_HYPERGEOM_GAIN_h_defined
// ---------------------------------------------------------------------
#include "MICARYHA_struct.h"

// 2007/07/13 added by S.Suzuki calling C from C++
#ifdef __cplusplus
extern "C" {
#endif
// ---------------------------------------------------------------------

/**
 \brief \~Japanese hypergeom_gain値の算出(1:正常終了, 0:エラー)
 \param x \~English It's Variable for optimum gain estimator
 \~Japanese 最適ゲイン値
 \param y \English return value
 \~Japanese 
*/
int PF_HyperGeomGain(HA_Float x, HA_Float *y);

#ifdef __cplusplus
}
#endif
// ----------------------------------------------------------------------
#endif	// PF_HYPERGEOM_GAIN_h_defined
